Page MenuHomePhabricator

Dev Summit proposal: The future of the Wikidata Query Service
Closed, ResolvedPublic

Description

Type of activity: Pre-scheduled session
Main topic: Building on Wikimedia services: APIs and Developer Resources

The problem

@Smalyshev and @Gehel from the Discovery Department are responsible for the maintenance and improvement of the Wikidata Query Service. We'd like to expose users to the Wikidata Query Service, explain how to use it, and brainstorm on ideas for how it could be improved to increase the use of the service.

Note: This would be a brainstorming session with the sole purpose of idea generation on increasing use of the service. Therefore we encourage anyone to bring any and all ideas; technical feasibility and fitting ideas into the roadmap will come later.

Expected outcome

  • Have more users be aware of the Wikidata Query Service and how to use it
  • Have generated a list of ideas for possible improvements to the service

Current status of the discussion

  • N/A. The entire point of this discussion is to start the discussion and brainstorm for ideas.

Links

Event Timeline

Deskana created this task.Oct 27 2016, 4:14 PM
Restricted Application added a project: Discovery. · View Herald TranscriptOct 27 2016, 4:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Qgil added a subscriber: Qgil.Nov 11 2016, 12:12 PM

Who would be the person facilitating this session? Please assign this task to that person if you are aiming to have this session pre-scheduled. Thank you!

Deskana claimed this task.Nov 11 2016, 1:17 PM
Addshore added a subscriber: Addshore.
Tpt added a subscriber: Tpt.Nov 16 2016, 5:53 PM
Racso awarded a token.Nov 18 2016, 3:07 AM

This proposal seems to have enough interests, but there is no discussion so far. I am moving it to "on track" for now, but all pre-scheduled sessions are supposed to have ongoing discussions.

The description says that the goal is to brainstorm. It would be very useful if such brainstorming could start here and now, online. This way you will see which are the hotter topics, and you will make a better use of your time at the Summit.

Tpt awarded a token.Nov 29 2016, 11:33 AM

I wonder if a Quarry like service (but built into query.wikidata.org) would be welcome :D Several people have asked me for it (T104762 and elsewhere), but integrating that into the UI might be better. That'd also allow us to get rid of the tinyurls...

@yuvipanda I'm all for it in principle, we need some thinking for exact implementation.

Lucie added a subscriber: Lucie.Dec 14 2016, 10:48 AM
Lydia_Pintscher moved this task from incoming to hold on the Wikidata board.Dec 16 2016, 9:57 AM
Toniher added a subscriber: Toniher.Jan 3 2017, 7:32 PM
cscott added a subscriber: cscott.Jan 4 2017, 10:35 PM

IIRC performance of some of the queries was a limiting factor to (for example) incorporating query results into infoboxes. Is that still an issue?

To the owner of this session: Here is the link to the session guidelines page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines. We encourage you to recruit Note-taker(s) 2(min) and 3(max), Remote Moderator, and Advocate (optional) on the spot before the beginning of your session. Instructions about each role player's task are outlined in the guidelines. The physical version of the role cards will be made available in all the session rooms. Good luck prepping, see you at the summit! :)

Tarrow added a subscriber: Tarrow.Jan 7 2017, 8:41 AM

Note-taker(s) of this session: Follow the instructions here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines#NOTE-TAKER.28S.29 After the session, DO NOT FORGET to copy the relevant notes and summary into a new wiki page following the template here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Your_Session and also link this from the All Session Notes page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/All_Session_Notes. The EtherPad links are also now linked from the Schedule page (https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Schedule) for you!

@Deskana are there any actionable items from this session? If not should I close this task as resolved?

Smalyshev triaged this task as Medium priority.Feb 15 2017, 1:51 AM
Smalyshev raised the priority of this task from Medium to Needs Triage.
Smalyshev moved this task from Ready for work to External on the Wikidata-Query-Service board.
Qgil removed a subscriber: Qgil.Feb 15 2017, 3:14 PM
Lydia_Pintscher closed this task as Resolved.Apr 28 2017, 1:23 PM

I think we can close this.